Name:           perl-Class-Date
Version:        1.1.9
Release:        9%{?dist}
Summary:        Class for easy date and time manipulation

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-Date/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DL/DLUX/Class-Date-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is intended to provide a general-purpose date and datetime
type for perl. You have a Class::Date class for absolute date and
date-time, and have a Class::Date::Rel class for relative dates.


%prep
%setup -q -n Class-Date-%{version}
find . -type f -exec chmod a-x {} ';'
iconv -f ISO8859-1 -t UTF8 --output README.utf8 README
mv README.utf8 README
iconv -f ISO8859-1 -t UTF8 --output Date.pod.utf8 Date.pod
mv Date.pod.utf8 Date.pod


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.1.9-9
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.1.9-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.1.9-7
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.9-4
Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.9-3
- Autorebuild for GCC 4.3

* Mon Oct 15 2007 Brendt Wohlberg <osspkg@gmail.com> - 1.1.9-2
- Addressed issues raised in bugzilla review comments.

* Fri Oct 12 2007 Brendt Wohlberg <osspkg@gmail.com> - 1.1.9-1
- Initial spec file, based on the rpmdev-newspec template, with some content 
  copied from the spec file by Dries Verachtert <dries@ulyssis.org>.
